#pragma once
#include "assets.hpp"
#include "collision.hpp"
#include "config.hpp"
#include "player.hpp"
#include <SDL.h>

struct GlobalState {
  SDL_Window *window;
  SDL_Renderer *renderer;
  SDL_Rect camera;

  PPlayer player;
  PCollisionDatabase collisionDb;
  std::vector<PCollisionRect> collisions;
  PhoenixAssets assets;
  int scale = 20;

  int screenWidth = 1000;
  int screenHeight = 1000;
};

extern GlobalState state;
